player_ptz_data Struct Reference

Data: state (PLAYER_PTZ_DATA_STATE) More...

`#include <player_interfaces.h>`

## Public Attributes

float | pan
| Pan [rad].
float | tilt
| Tilt [rad].
float | zoom
| Field of view [rad].
float | panspeed
| Current pan velocity [rad/s].
float | tiltspeed
| Current tilt velocity [rad/s].
uint32_t | status
| Current pan / tilt status.

## Detailed Description

Data: state (PLAYER_PTZ_DATA_STATE)

The ptz interface returns data reflecting the current state of the Pan-Tilt-Zoom unit.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45